## rinputd 1.0.3

=== CMakeLists.txt ===
if (DEFINED CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "Choose the type of build:
    None (CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used)
    Debug
    Release
    RelWithDebInfo
    MinSizeRel")
else ()
    SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the type of build:
    None (CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used)
    Debug
    Release
    RelWithDebInfo
    MinSizeRel")
endif ()

set(CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS} -pipe)

if (APPLE)
    set(CMAKE_OSX_ARCHITECTURES i386;x86_64 CACHE STRING "Architecture")
endif ()

if (NOT APPLE)
    option(USE_AVAHI "Use Avahi for multicast DNS service publishing" ON)
else ()
    set(USE_AVAHI OFF)
endif ()

project(rinput)

cmake_minimum_required(VERSION 2.6)

include(CheckIncludeFiles)
include(CheckLibraryExists)

if (USE_AVAHI)
    include(FindPkgConfig)
endif ()

configure_file(config.h.in config.h)
include_directories(${CMAKE_BINARY_DIR})

find_package(Qt4 REQUIRED)

if (NOT APPLE)
    check_include_files(sasl/sasl.h HAVE_SASL_H)
    check_library_exists(sasl2 sasl_checkpass "" HAVE_LIBSASL2)

    if (NOT HAVE_SASL_H)
        message(FATAL_ERROR "Could not find cyrus-sasl headers")
    endif ()
    if (NOT HAVE_LIBSASL2)
        message(FATAL_ERROR "Could not find libsasl2 library")
    endif ()
endif ()

if (USE_AVAHI)
    pkg_check_modules(AVAHI_CLIENT avahi-client)
    pkg_check_modules(AVAHI_QT4 avahi-qt4)
    
    if (NOT ${AVAHI_CLIENT_FOUND} OR NOT ${AVAHI_QT4_FOUND})
        message(FATAL_ERROR "Could not find Avahi client and/or Avahi Qt4 development packages. Install them or turn off USE_AVAHI in cmake")
    endif ()
endif ()

option(BUILD_TEST "Build rinput-test test client" NO)

add_subdirectory(common)
add_subdirectory(rinputd)

if (BUILD_TEST)
    add_subdirectory(rinput-test)
endif ()

=== debian/changelog ===
rinputd (1.0.3-5) unstable; urgency=low

  * Add dependency on openssl for certificate generation
    - Closes: #596065
  * Remove dbg package since dbgsym package is generated automatically
  * Update standards version to 3.9.1
  * Prevent linking when unnecessary
  * List missing installed files at build time

 -- Chase Douglas <chase.douglas@ubuntu.com>  Wed, 08 Sep 2010 15:07:16 -0400

rinputd (1.0.3-4) lucid; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #582382
  * [Debconf translation updates]
  * Russian (Yuri Kozlov).  Closes: #583123
  * Czech (Michal Simunek).  Closes: #583135
  * Danish (Joe Hansen).  Closes: #583145
  * Swedish (Martin Bagge).  Closes: #583158
  * Portuguese (Rui Branco).  Closes: #583308
  * German (Chris Leick).  Closes: #583932
  * French (Steve Petruzzello).  Closes: #584320
  * Spanish (Camaleón).  Closes: #584449

 -- Chase Douglas <chase.douglas@ubuntu.com>  Fri, 21 May 2010 07:36:55 +0200

rinputd (1.0.3-3) unstable; urgency=low

  * Don't force user configuration if noninteractive install
    - Closes: bug#581999

 -- Chase Douglas <chase.douglas@ubuntu.com>  Sat, 29 May 2010 21:16:23 -0400

rinputd (1.0.3-2) unstable; urgency=low

  * Use debconf to configure an authorized user

 -- Chase Douglas <chase.douglas@ubuntu.com>  Mon, 29 Mar 2010 01:11:00 -0400

rinputd (1.0.3-1) unstable; urgency=low

  * Initial package
    - Closes: bug#569042

 -- Chase Douglas <chase.douglas@ubuntu.com>  Tue, 09 Feb 2010 11:01:58 -0500

=== debian/control ===
Source: rinputd
Section: net
Priority: optional
Maintainer: Chase Douglas <chase.douglas@ubuntu.com>
Standards-Version: 3.9.1
Build-Depends: cdbs, cmake, debhelper (>= 7), libavahi-client-dev, libavahi-qt4-dev, libqt4-dev, libsasl2-dev, po-debconf
Homepage: https://launchpad.net/rinput
VCS-bzr: http://bazaar.launchpad.net/~chasedouglas/rinput/debian/
VCS-browser: http://bazaar.launchpad.net/~chasedouglas/rinput/debian/files

Package: rinputd
Architecture: i386 ia64 alpha amd64 armel hppa mips mipsel powerpc s390 sparc
Depends: openssl, sasl2-bin, ${shlibs:Depends}, ${misc:Depends}
Conflicts: rinputd
Description: server daemon for receiving user input events
 This package provides a remote input server daemon which listens for
 connections from rinput clients (such as mobile phone applications). These
 authenticate via a secure SSL socket through the Cyrus SASL password
 database, /etc/sasldb2. The uinput user input event interface can
 then create virtual devices such as a keyboard and mouse under the
 remote control of the client.

Package: rinput-dev
Section: devel
Architecture: all
Depends: ${misc:Depends}
Conflicts: rinput-dev
Description: server daemon for receiving user input events - development files
 This package provides a remote input server daemon which listens for
 connections from rinput clients (such as mobile phone applications). These
 authenticate via a secure SSL socket through the Cyrus SASL password
 database, /etc/sasldb2. The uinput user input event interface can
 then create virtual devices such as a keyboard and mouse under the
 remote control of the client.
 .
 This package contains a header defining rinput protocol values.

## rinputd 1.0.4

=== debian/changelog ===
rinputd (1.0.4-2) unstable; urgency=low

  * Fix mutt mangled da.po debconf translation. Closes: #610105

 -- Chase Douglas <chase.douglas@ubuntu.com>  Sat, 15 Jan 2011 18:19:54 -0500

rinputd (1.0.4-1) unstable; urgency=low

  * New upstream release.
    - Fix g++ syntactical build failure
  * Fix string test in rinputd.postinst

 -- Chase Douglas <chase.douglas@ubuntu.com>  Tue, 04 Jan 2011 18:15:05 -0500

rinputd (1.0.3-6) unstable; urgency=low

  * Added Japanese (Nobuhiro Iwamatsu) debconf translation. Closes: #602468
  * Added armhf to list of supported architectures for rinputd. Closes: #604668
  * Added sh4 to list of supported architectures for rinputd. Closes: #586726
  * Use case-insensitive check for noninteractive debconf frontend.
    - Closes: #604235
  * Add dbg package back in since Debian doesn't generate dbgsym packages.

 -- Chase Douglas <chase.douglas@ubuntu.com>  Thu, 25 Nov 2010 17:33:34 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 VCS-browser: http://bazaar.launchpad.net/~chasedouglas/rinput/debian/files
 
 Package: rinputd
-Architecture: i386 ia64 alpha amd64 armel hppa mips mipsel powerpc s390 sparc
+Architecture: i386 ia64 alpha amd64 armel armhf hppa mips mipsel powerpc s390 sh4 sparc
 Depends: openssl, sasl2-bin, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: rinputd
 Description: server daemon for receiving user input events
@@ -19,6 +19,22 @@
  database, /etc/sasldb2. The uinput user input event interface can
  then create virtual devices such as a keyboard and mouse under the
  remote control of the client.
+
+Package: rinputd-dbg
+Section: debug
+Architecture: i386 ia64 alpha amd64 armel armhf hppa mips mipsel powerpc s390 sh4 sparc
+Priority: extra
+Depends: rinputd (= ${binary:Version}), ${misc:Depends}
+Conflicts: rinputd-dbg
+Description: server daemon for receiving user input events - debug symbols
+ This package provides a remote input server daemon which listens for
+ connections from rinput clients (such as mobile phone applications). These
+ authenticate via a secure SSL socket through the Cyrus SASL password
+ database, /etc/sasldb2. The uinput user input event interface can
+ then create virtual devices such as a keyboard and mouse under the
+ remote control of the client.
+ .
+ This package contains debug symbols.
 
 Package: rinput-dev
 Section: devel

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/utils.mk

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

common-binary-predeb-arch:: list-missing

## rinputd 1.0.5

=== common/CMakeLists.txt ===
find_package(Qt4)
set(QT_DONT_USE_QTGUI TRUE)
set(QT_USE_QTNETWORK TRUE)
include(${QT_USE_FILE})

set(common_SRCS
    Connection.cpp
)

set(common_MOC_HDRS
    Connection.h
)

qt4_automoc(${common_SRCS})
qt4_wrap_cpp(common_MOC_SRCS ${common_MOC_HDRS})

add_library(common ${common_SRCS} ${common_MOC_SRCS})

if (NOT APPLE)
    install(FILES rinput.h DESTINATION include COMPONENT include)
endif ()

=== rinputd/CMakeLists.txt ===
set(QT_DONT_USE_QTGUI TRUE)
set(QT_USE_QTNETWORK TRUE)

include(${QT_USE_FILE})

set(rinputd_SRCS
    main.cpp
    InputDevice.cpp
    Server.cpp
)

set(rinputd_MOC_HDRS
    InputDevice.h
    Server.h
)

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    set(rinputd_SRCS ${rinputd_SRCS} LinuxInputDevice.cpp)
    set(rinputd_MOC_HDRS ${rinputd_MOC_HDRS} LinuxInputDevice.h)
elseif (APPLE)
    set(rinputd_SRCS ${rinputd_SRCS} MacBroadcaster.mm MacInputDevice.mm MacAuthThread.mm)
    set(rinputd_MOC_HDRS ${rinputd_MOC_HDRS} MacBroadcaster.h MacInputDevice.h MacAuthThread.h)

    find_library(CORE_AUDIO_FRAMEWORK CoreAudio)
    find_library(SECURITY_FRAMEWORK Security)
    find_library(SYSTEM_CONFIGURATION_FRAMEWORK SystemConfiguration)
    find_library(FOUNDATION_FRAMEWORK Foundation)
    find_library(APP_KIT_FRAMEWORK AppKit)
    set(EXTRA_LIBS ${CORE_AUDIO_FRAMEWORK} ${SECURITY_FRAMEWORK} ${SYSTEM_CONFIGURATION_FRAMEWORK} ${FOUNDATION_FRAMEWORK} ${APP_KIT_FRAMEWORK})
endif ()

if (USE_AVAHI)
    set(rinputd_SRCS ${rinputd_SRCS} AvahiBroadcaster.cpp)
    set(rinputd_MOC_HDRS ${rinputd_MOC_HDRS} AvahiBroadcaster.h)
    include_directories(${AVAHI_CLIENT_INCLUDE_DIRS} ${AVAHI_QT4_INCLUDE_DIRS})
    link_directories(${AVAHI_CLIENT_LIBRARY_DIRS} ${AVAHI_QT4_LIBRARY_DIRS})
endif ()

qt4_automoc(${rinputd_SRCS})
qt4_wrap_cpp(rinputd_MOC_SRCS ${rinputd_MOC_HDRS})

include_directories(${rinput_SOURCE_DIR}/common)
link_directories(${rinput_SOURCE_DIR}/common)

if (APPLE)
    add_executable(rinputd MACOSX_BUNDLE ${rinputd_SRCS} ${rinputd_MOC_HDRS} ${rinputd_MOC_SRCS})
    target_link_libraries(rinputd common ${QT_LIBRARIES} ${EXTRA_LIBS})

    set(BUNDLE_PATH "${CMAKE_CURRENT_BINARY_DIR}/rinputd.app")
    set(FRAMEWORKS_PATH "${BUNDLE_PATH}/Contents/Frameworks")
    set(INSTALL_PATH "/Library/Remote Input/rinputd.app")

    if (${CMAKE_GENERATOR} MATCHES "Xcode")
        add_custom_command(TARGET rinputd POST_BUILD
            COMMAND rm -rf "${BUNDLE_PATH}"
            COMMAND cp -R "${CMAKE_CURRENT_BINARY_DIR}/$(CONFIGURATION)/rinputd.app" "${CMAKE_CURRENT_BINARY_DIR}/"
        VERBATIM)
    endif ()

    add_custom_target(package ALL
        COMMAND rm -rf "${FRAMEWORKS_PATH}"
        COMMAND mkdir -p "${FRAMEWORKS_PATH}"
        COMMAND cp -R "${QT_QTNETWORK_LIBRARY_RELEASE}" "${FRAMEWORKS_PATH}/"
        COMMAND cp -R "${QT_QTCORE_LIBRARY_RELEASE}" "${FRAMEWORKS_PATH}/"
        COMMAND rm -rf "${FRAMEWORKS_PATH}/QtCore.framework/{,Versions/4/}Headers"
        COMMAND rm -rf "${FRAMEWORKS_PATH}/QtNetwork.framework/{,Versions/4/}Headers"
        COMMAND find "${FRAMEWORKS_PATH}" -name "*_debug*" -print0 | xargs -0 rm
	COMMAND install_name_tool -id "${INSTALL_PATH}/Contents/Frameworks/QtNetwork.framework/Versions/4/QtNetwork" "${FRAMEWORKS_PATH}/QtNetwork.framework/Versions/4/QtNetwork"
	COMMAND install_name_tool -id "${INSTALL_PATH}/Contents/Frameworks/QtCore.framework/Versions/4/QtCore" "${FRAMEWORKS_PATH}/QtCore.framework/Versions/4/QtCore"
	COMMAND install_name_tool -change "QtNetwork.framework/Versions/4/QtNetwork" "${INSTALL_PATH}/Contents/Frameworks/QtNetwork.framework/Versions/4/QtNetwork" ${BUNDLE_PATH}/Contents/MacOS/rinputd
	COMMAND install_name_tool -change "QtCore.framework/Versions/4/QtCore" "${INSTALL_PATH}/Contents/Frameworks/QtCore.framework/Versions/4/QtCore" "${BUNDLE_PATH}/Contents/MacOS/rinputd"
	COMMAND install_name_tool -change "QtCore.framework/Versions/4/QtCore" "${INSTALL_PATH}/Contents/Frameworks/QtCore.framework/Versions/4/QtCore" "${BUNDLE_PATH}/Contents/Frameworks/QtNetwork.framework/Versions/4/QtNetwork"
        COMMAND packagemaker --doc "${CMAKE_SOURCE_DIR}/mac/Remote Input Server.pmdoc" -o "${CMAKE_CURRENT_BINARY_DIR}/Remote Input Server.pkg"
    VERBATIM)
    add_dependencies(package rinputd rinputd-man)
else ()
    add_executable(rinputd ${rinputd_SRCS} ${rinputd_MOC_SRCS})
    target_link_libraries(rinputd common ${QT_LIBRARIES} ${EXTRA_LIBS} sasl2)
endif ()

if (USE_AVAHI)
    target_link_libraries(rinputd ${AVAHI_CLIENT_LIBRARIES} ${AVAHI_QT4_LIBRARIES})
endif ()

add_custom_target(rinputd-man ALL gzip -c --best ${rinput_SOURCE_DIR}/rinputd/rinputd.8 > rinputd.8.gz)

if (NOT APPLE)
    install(TARGETS rinputd RUNTIME DESTINATION sbin COMPONENT rinputd)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/rinputd.8.gz DESTINATION share/man/man8 COMPONENT man)
    install(DIRECTORY DESTINATION /etc/rinput)
endif ()

=== debian/changelog ===
rinputd (1.0.5-2) unstable; urgency=low

  * Convert from CDBS to debhelper
  * Build on all Linux architectures
  * Run wrap-and-sort on debian/control
  * Run "set -e" in body of debian/config script

 -- Chase Douglas <chase.douglas@ubuntu.com>  Thu, 12 Apr 2012 11:20:09 -0700

rinputd (1.0.5-1) unstable; urgency=low

  * Update watch file for https download urls
  * New upstream release.
    - Fix build failure when compiled with GCC 4.7. Closes: #667358
  * Bump lintian standards version to 3.9.3

 -- Chase Douglas <chase.douglas@ubuntu.com>  Tue, 03 Apr 2012 21:59:54 -0700

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,21 @@
 Section: net
 Priority: optional
 Maintainer: Chase Douglas <chase.douglas@ubuntu.com>
-Standards-Version: 3.9.1
-Build-Depends: cdbs, cmake, debhelper (>= 7), libavahi-client-dev, libavahi-qt4-dev, libqt4-dev, libsasl2-dev, po-debconf
+Standards-Version: 3.9.3
+Build-Depends: cmake,
+               debhelper (>= 7.0.50~),
+               libavahi-client-dev,
+               libavahi-qt4-dev,
+               libqt4-dev,
+               libsasl2-dev,
+               po-debconf
 Homepage: https://launchpad.net/rinput
 VCS-bzr: http://bazaar.launchpad.net/~chasedouglas/rinput/debian/
 VCS-browser: http://bazaar.launchpad.net/~chasedouglas/rinput/debian/files
 
 Package: rinputd
-Architecture: i386 ia64 alpha amd64 armel armhf hppa mips mipsel powerpc s390 sh4 sparc
-Depends: openssl, sasl2-bin, ${shlibs:Depends}, ${misc:Depends}
+Architecture: linux-any
+Depends: openssl, sasl2-bin, ${misc:Depends}, ${shlibs:Depends}
 Conflicts: rinputd
 Description: server daemon for receiving user input events
  This package provides a remote input server daemon which listens for
@@ -22,7 +28,7 @@
 
 Package: rinputd-dbg
 Section: debug
-Architecture: i386 ia64 alpha amd64 armel armhf hppa mips mipsel powerpc s390 sh4 sparc
+Architecture: linux-any
 Priority: extra
 Depends: rinputd (= ${binary:Version}), ${misc:Depends}
 Conflicts: rinputd-dbg

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=rinputd-dbg

=== debian/watch ===
version=3
http://launchpad.net/rinput/+download https?://launchpad.net/rinput/.*/rinputd_(.*)\.tar\.gz
